# Copyright 2017-2018, Medeek Engineering Inc.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is prohibited.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#-----------------------------------------------------------------------------
# Name        :   Medeek Wall Plugin
# Description :   A script that loads the Medeek Wall Plugin as an extension to SketchUp
# Author      :   Nathaniel P. Wilkerson (nathan@medeek.com)
#                 
# Menu Item   :   Medeek Wall
# Context Menu:   N/A
# Usage       :   Architects, Engineers, Designers, DIYers, Homeowners, Inspectors
# Date        :   May. 27, 2018
# Type        :   Permanent License - Please visit http://design.medeek.com for upgrades and support
#-----------------------------------------------------------------------------


module Medeek_Engineering_Inc_Extensions
	module MedeekWallPluginLoader

		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'


		medeekwall_Extension = SketchupExtension.new("Medeek Wall", (File.join(File.dirname(__FILE__),"medeek_wall_ext","medeek_wall_load.rbs")))

		medeekwall_Extension.description=("Generate accurate 3D wall geometry with engineering.")
		medeekwall_Extension.version = "0.7.3  (05.27.2018)"
		medeekwall_Extension.creator = "Nathaniel P. Wilkerson - Medeek Engineering Inc."
		medeekwall_Extension.copyright = "2017-2018, Medeek Engineering Inc."


		# Register the extension with Sketchup.
		Sketchup.register_extension medeekwall_Extension, true



	end # module MedeekWallPluginLoader
end # module Medeek_Engineering_Inc_Extensions